set(ENTITYX_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}")

# Support both 32 and 64 bit builds
if (${CMAKE_SIZEOF_VOID_P} MATCHES 8)
else ()
  set(ENTITYX_LIBRARIES "${CMAKE_CURRENT_LIST_DIR}/build/Release/entityx.lib")
  set(ENTITYX_DLL "${CMAKE_CURRENT_LIST_DIR}/build/Release/entityx.dll")
endif ()

string(STRIP "${ENTITYX_LIBRARIES}" ENTITYX_LIBRARIES)